body {
    margin: 0;
    padding: 25px;
    font-family: 'JetBrains Mono', monospace;
}
.rating {
    margin: 0 0 1em 0;
    padding: 0;
    border: none;
}
.rating__caption {
    margin-bottom: 0.5em;
    padding: 0;
}
.rating__group {
    position: relative;
    width: 100px;
    height: 2em;
    background-image: url("../images/lab_five/off.svg");
    background-size: 20px 19px;
    background-repeat: repeat-x;
}

.rating__input {
    position: absolute;
    width: 1px;
    height: 1px;
    overflow: hidden;
}

.rating__input:focus ~ .rating__focus {
    position: absolute;
    top: -0.2em;
    right: -0.2em;
    bottom: -0.2em;
    left: -0.2em;
    z-index: -1;
    /*outline: solid 0.2em #4a90e2;;*/
}


.rating__star {
    position: absolute;
    top: 0;
    left: 0;
    margin: 0;
    height: 2em;
    font-size: inherit;
    background-repeat: repeat-x;
    background-size: 20px 19px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
.rating__input:checked + .rating__star,
.rating__star:hover {
    background-image: url("../images/lab_five/on1.svg");
}
.rating__star:hover ~ .rating__star {
    background-image: url("../images/lab_five/off.svg");
}
.rating__star:nth-of-type(1) {
    z-index: 5;
    width: 20px;
}
.rating__star:nth-of-type(2) {
    z-index: 4;
    width: 40px;
}
.rating__star:nth-of-type(3) {
    z-index: 3;
    width: 60px;
}
.rating__star:nth-of-type(4) {
    z-index: 2;
    width: 80px;
}
.rating__star:nth-of-type(5) {
    z-index: 1;
    width: 100px;
}